> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/get-personal-dashboard-project-details/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # Get personal project details GET https://app.unleash-instance.example.com/api/admin/personal-dashboard/{projectId} Return personal dashboard project events, owners, user roles and onboarding status Reference: https://docs.getunleash.io/api/get-personal-dashboard-project-details ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Request ### Path parameters - `projectId` (string, required) ## Response ### 200 personalDashboardProjectDetailsSchema - `insights` (PersonalDashboardProjectDetailsSchemaInsights, required) — Insights for the project, including flag data and project health information. - `onboardingStatus` (onboardingStatusSchema, required) — The current onboarding status of a project. - `latestEvents` (list of PersonalDashboardProjectDetailsSchemaLatestEventsItems, required) — The latest events for the project. - `owners` (PersonalDashboardProjectDetailsSchemaOwners, required) — The users and/or groups that have the "owner" role in this project. If no such users or groups exist, the list will contain the "system" owner instead. - `roles` (list of PersonalDashboardProjectDetailsSchemaRolesItems, required) — The list of roles that the user has in this project. ## Errors ### 401 Unauthorized Error Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 403 Forbidden Error The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 404 Not Found Error The requested resource was not found. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ## Types ### PersonalDashboardProjectDetailsSchemaInsights Insights for the project, including flag data and project health information. - `avgHealthCurrentWindow` (integer, required, nullable) — The project's average health score over the last 4 weeks - `avgHealthPastWindow` (integer, required, nullable) — The project's average health score over the previous 4-week window - `totalFlags` (integer, required) — The current number of non-archived flags - `activeFlags` (integer, required) — The number of active flags that are not stale or potentially stale - `staleFlags` (integer, required) — The current number of flags that have been manually marked as stale - `potentiallyStaleFlags` (integer, required) — The number of potentially stale flags as calculated by Unleash - `technicalDebt` (integer, required) — An indicator of the [project's technical debt](https://docs.getunleash.io/concepts/technical-debt#project-status) on a scale from 0 to 100 - `health` (integer, required, deprecated) — Use `technicalDebt` instead. ### onboardingStatusSchema The current onboarding status of a project. ### PersonalDashboardProjectDetailsSchemaLatestEventsItems An event summary - `id` (integer, required) — The ID of the event. - `summary` (string, required, nullable) — **[Experimental]** A markdown-formatted summary of the event. - `createdBy` (string, required) — Which user created this event - `createdByImageUrl` (string, required) — URL used for the user profile image of the event author - `createdAt` (string, required) — When the event was recorded ### PersonalDashboardProjectDetailsSchemaOwners The users and/or groups that have the "owner" role in this project. If no such users or groups exist, the list will contain the "system" owner instead. ### PersonalDashboardProjectDetailsSchemaRolesItems An Unleash role. - `name` (string, required) — The name of the role - `id` (integer, required) — The id of the role - `type` (enum, required) — The type of the role - Allowed values: `custom`, `project` ### OnboardingStatusSchema0 - `status` (enum, required) - Allowed values: `onboarding-started`, `sdk-connected`, `onboarded` ### OnboardingStatusSchema1 - `status` (enum, required) - Allowed values: `first-flag-created` - `feature` (string, required) — The name of the feature flag ## Examples **Response** ```json { "insights": { "avgHealthCurrentWindow": 80, "avgHealthPastWindow": 70, "totalFlags": 100, "activeFlags": 98, "staleFlags": 0, "potentiallyStaleFlags": 2, "technicalDebt": 25, "health": 80 }, "onboardingStatus": { "feature": "my-feature-flag", "status": "first-flag-created" }, "latestEvents": [ { "id": 1, "summary": "string", "createdBy": "johndoe", "createdByImageUrl": "https://example.com/242x200.png", "createdAt": "2021-09-01T12:00:00Z" } ], "owners": [ { "email": "user@example.com", "imageUrl": "https://example.com/image.jpg", "name": "User Name", "ownerType": "user" } ], "roles": [ { "name": "Owner", "id": 4, "type": "project" } ] } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/personal-dashboard/projectId" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/personal-dashboard/projectId'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/personal-dashboard/projectId" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/personal-dashboard/projectId") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/personal-dashboard/projectId") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/personal-dashboard/projectId', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/personal-dashboard/projectId"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/personal-dashboard/projectId")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```